@ECHO OFF
REM dosdash starter file
REM
REM To run dosdash, please run RUNDDASH.BAT while within
REM the dosdash installation directory.
REM 
REM This is necessary in order for the temporary gopher
REM batch file to be written to and executed and returned from.
REM 
REM Please read the note at the bottom of this file if you'd
REM like to be able to just type DASH to run dosdash from
REM any location at any time.
REM
REM This file written 2024 by Mathew Carr.
REM Free to modify and/or distribute.

:REPEAT

REM We must be in the dosdash installation directory, otherwise
REM manipulating the gopher file will fail.
REM Yes this is the exact same mechanism as LaunchBox for MS-DOS
REM Special Edition 2.0!
IF NOT EXIST DOSDASHX.EXE GOTO ERRORWRONGDIR

DOSDASHX.EXE -WITHINBATCH

REM ERRORLEVEL is 0 if the user successfully chose an action.
REM ERRORLEVEL is 1 if the user quit or there was an error.
IF ERRORLEVEL 1 GOTO CLEANUP

REM Temporarily switch control to batch gopher file containing
REM the user's selected action body lines.
CALL DASHRUN.BAT

REM Open dosdash again after gopher actions have returned.
GOTO REPEAT

:CLEANUP
IF EXIST DASHRUN.BAT DEL DASHRUN.BAT
GOTO STOP

:ERRORWRONGDIR
ECHO RUNDDASH.BAT can only be run from the dosdash installation directory.
ECHO.
ECHO To let you be able to run dosdash from anywhere, I recommend you make
ECHO a copy of the supplied DASH.BAT, or make a new DASH.BAT containing
ECHO the following commands:
ECHO.
ECHO    @ECHO OFF
ECHO    C:
ECHO    CD C:\UTILS\DOSDASH
ECHO    CALL RUNDDASH.BAT
ECHO.
ECHO Now you can put your new batch file in a directory in your PATH
ECHO (or add the dosdash directory to your PATH). This will let you
ECHO type DASH at the C:\ prompt to start dosdash.
ECHO.
ECHO Or you could put the command CALL DASH.BAT in your AUTOEXEC.BAT if you
ECHO wanted to make your MS-DOS system more 'console like'.
ECHO.
ECHO You can also name the new batch file DOSDASH.BAT or something else
ECHO if you would prefer!
GOTO STOP

:STOP

